#include <clib/alib_protos.h>
#include <clib/dos_protos.h>
#include <clib/exec_protos.h>
#include <clib/muimaster_protos.h>
#include <clib/intuition_protos.h>
#include <mui/xpk_mcc.h>
#include <stdlib.h>

struct Library *MUIMasterBase;

APTR app,window,xpk;

void InitLibs()
{
if(!(MUIMasterBase=OpenLibrary("muimaster.library",17))) exit(20);
}

void Ende()
{
if(app) MUI_DisposeObject(app);
CloseLibrary(MUIMasterBase);
}

void InitGUI()
{
app=ApplicationObject,
	MUIA_Application_Title,"Xpk-Demo",
	MUIA_Application_Author,"Achim Stegemann",
	MUIA_Application_Base,"XPKDEMO",
	MUIA_Application_Copyright," 1997 by Achim Stegemann",
	MUIA_Application_Description,"Show features of Xpk.mcc.",
	MUIA_Application_Version,"$VER:Xpk-Demo V17.0 (05.11.1997)\n",
	MUIA_Application_UseRexx,0,
	SubWindow,window=WindowObject,
		MUIA_Window_Title,"Xpk-Demo",
		MUIA_Window_ID,'xpkd',
		WindowContents,VGroup,
			Child,xpk=XpkObject,
			End,
		End,
	End,
End;
if(!app) exit(20);
DoMethod(window,MUIM_Notify,MUIA_Window_CloseRequest,1,MUIV_Notify_Application,2,MUIM_Application_ReturnID,MUIV_Application_ReturnID_Quit);
}

void main()
{
ULONG signals;
long id;
char *packer,*passwd;
ULONG mode;

atexit(Ende);
InitLibs();
InitGUI();
SetAttrs(window,MUIA_Window_Open,1,TAG_END);
while((id=DoMethod(app,MUIM_Application_NewInput,&signals)!=MUIV_Application_ReturnID_Quit))
	{
	Wait(signals);
	}
GetAttr(MUIA_Xpk_Method,xpk,&packer);
GetAttr(MUIA_Xpk_Mode,xpk,&mode);
GetAttr(MUIA_Xpk_Password,xpk,&passwd);
Printf("You're choices:\n");
Printf("Packer:   %s\n",packer);
Printf("Mode:     %lu\n",mode);
Printf("Password: %s\n",passwd);
}
